import logging
import os
import time
from Homework_files.APITesting_LZJ.common.read_basic_ini import ReadBasicIni

def get_log():
    logger = logging.getLogger()
    logger.setLevel(level=logging.DEBUG)
    log_name = time.strftime("%Y_%m_%d_%H_%M_%S", time.localtime(time.time())) + ".log"
    log_dir = ReadBasicIni().get_log_dir("log")
    log_path = os.path.join(log_dir, log_name)
    file_handler = logging.FileHandler(log_path, mode="a", encoding="utf-8")
    log_format = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')
    file_handler.setFormatter(log_format)
    logger.addHandler(file_handler)
    return logger
