import json
import os

def read_json(file_path):
    if os.path.isfile(file_path) and file_path.endswith(".json"):
        try:
            with open(file_path, mode="r", encoding="utf-8") as f:
                return json.load(f)
        except Exception as e:
            print("读取json文件时发生错误，请查看json文件的内容是否正常，错误为：", e)
            raise e
    else:
        raise FileNotFoundError("传入的json文件路径错误")

if __name__ == '__main__':
    path = r'D:\Project\PythonDoc\test61\test61\APIAutoTest_v2\data_config\case_data1.json'
    print(read_json(path))